package com.yingxin.prms.dto;

import com.yingxin.prms.domain.Auth_Mode_Dic;
import com.yingxin.prms.domain.CTID_Process_Host_Dic;
import com.yingxin.prms.domain.CTID_Request_Host_Dic;
import com.yingxin.prms.domain.Server_Host_Info;

import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

public class AuthModeAndHostList {

    private List<Auth_Mode_Dic> authModeList;

    private List<CTID_Request_Host_Dic> requestHostList;

    private List<CTID_Process_Host_Dic> processHostList;

    private List<Server_Host_Info> clusterBeMonitoredList;

    private ConcurrentHashMap<String, String> alarmHost;

    public AuthModeAndHostList(List<Auth_Mode_Dic> authModeList, List<CTID_Request_Host_Dic> requestHostList, List<CTID_Process_Host_Dic> processHostList, List<Server_Host_Info> clusterBeMonitoredList, ConcurrentHashMap<String, String> alarmHost) {
        this.authModeList = authModeList;
        this.requestHostList = requestHostList;
        this.processHostList = processHostList;
        this.clusterBeMonitoredList = clusterBeMonitoredList;
        this.alarmHost = alarmHost;
    }

    public AuthModeAndHostList(List<Auth_Mode_Dic> authModeList, List<CTID_Request_Host_Dic> requestHostList, List<CTID_Process_Host_Dic> processHostList, List<Server_Host_Info> clusterBeMonitoredList) {
        this.authModeList = authModeList;
        this.requestHostList = requestHostList;
        this.processHostList = processHostList;
        this.clusterBeMonitoredList = clusterBeMonitoredList;
    }

    public List<Auth_Mode_Dic> getAuthModeList() {
        return authModeList;
    }

    public List<CTID_Request_Host_Dic> getRequestHostList() {
        return requestHostList;
    }

    public List<CTID_Process_Host_Dic> getProcessHostList() {
        return processHostList;
    }

    public List<Server_Host_Info> getClusterBeMonitoredList() {
        return clusterBeMonitoredList;
    }

    public ConcurrentHashMap<String, String> getAlarmHost() {
        return alarmHost;
    }


}
